﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace VCinemaApi.Models
{
    public class Screen
    {
        [Key]
        public int ScreenId { get; set; }

        [Required]
        public string Name { get; set; }
        [Required]
        public string Source { get; set; }

        public DateTime PlayStateUpdated { get; set; }
        public bool PlayState { get; set; }
        public int PlayOffset { get; set; }

        public ICollection<Watcher> Watchers { get; set; }
    }
}